# Lists Bills

## Adisyonları listeler.

> Adisyonları listelemek için bu ucu kullanabilirsiniz.> \
> \<br />&#x20;> \
> \*\*Search\*\* parametresiyle liste içerisinde arama yapabilirsiniz.

```json
{"openapi":"3.0.1","info":{"title":"E-Adisyon API","version":"v1"},"servers":[{"url":"/ebill"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API anahtar� giriniz","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"SortType":{"enum":["ASC","DESC"],"type":"string"},"StatusCode":{"enum":["unknown","waiting","succeed","error"],"type":"string"},"BillResponsePagination":{"type":"object","properties":{"Page":{"type":"integer","format":"int32"},"PageSize":{"type":"integer","format":"int32"},"TotalCount":{"type":"integer","format":"int32","nullable":true},"TotalPages":{"type":"integer","format":"int32","nullable":true,"readOnly":true},"Content":{"type":"array","items":{"$ref":"#/components/schemas/BillResponse"},"nullable":true}},"additionalProperties":false},"BillResponse":{"type":"object","properties":{"UUID":{"type":"string","nullable":true},"TaxNumber":{"type":"string","nullable":true},"BillNumber":{"type":"string","nullable":true},"IssueDate":{"type":"string","format":"date-time"},"RBillNumber":{"type":"string","nullable":true},"Sha256":{"type":"string","nullable":true},"TotalAmount":{"type":"number","format":"double"},"PayableAmount":{"type":"number","format":"double"},"TaxTotalAmount":{"type":"number","format":"double"},"CurrencyCode":{"type":"string","nullable":true},"ReceiverTaxNumber":{"type":"string","nullable":true},"ReceiverName":{"type":"string","nullable":true},"IsRead":{"type":"boolean"},"IsPrint":{"type":"boolean"},"CreatedDate":{"type":"string","format":"date-time"},"SigningTime":{"type":"string","format":"date-time"},"StatusCode":{"$ref":"#/components/schemas/StatusCode"},"StatusDetail":{"type":"string","nullable":true},"IsCancel":{"type":"boolean"},"IsReport":{"type":"boolean"},"ReportUUID":{"type":"string","nullable":true},"ReportDate":{"type":"string","format":"date-time","nullable":true},"CancelReportUUID":{"type":"string","nullable":true},"CancelDate":{"type":"string","format":"date-time"},"Email":{"type":"string","nullable":true},"TaxJson":{"type":"string","nullable":true},"InvoiceLineJson":{"type":"string","nullable":true},"TaxInclusiveAmount":{"type":"number","format":"double"},"LineExtensionAmount":{"type":"number","format":"double"},"ExchangeRate":{"type":"number","format":"double"},"TaxExclusiveAmount":{"type":"number","format":"double"},"AllowanceTotalAmount":{"type":"number","format":"double"},"ChargeTotalAmount":{"type":"number","format":"double"},"SuccessMail":{"type":"integer","format":"int32"},"ErrorMail":{"type":"integer","format":"int32"},"Tags":{"type":"array","items":{"$ref":"#/components/schemas/Tags"},"nullable":true,"readOnly":true},"SpecialCode":{"type":"string","nullable":true}},"additionalProperties":false},"Tags":{"type":"object","properties":{"UUID":{"type":"string","nullable":true},"Description":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"Color":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/Bills":{"get":{"tags":["Bills"],"summary":"Adisyonları listeler.","description":"Adisyonları listelemek için bu ucu kullanabilirsiniz.\r\n<br /> \r\n**Search** parametresiyle liste içerisinde arama yapabilirsiniz.","parameters":[{"name":"PageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Search","in":"query","schema":{"type":"string"}},{"name":"StartDate","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"EndDate","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"SortColumn","in":"query","schema":{"type":"string"}},{"name":"SortType","in":"query","schema":{"$ref":"#/components/schemas/SortType"}},{"name":"StatusCode","in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/StatusCode"}}},{"name":"IsReport","in":"query","schema":{"type":"boolean"}},{"name":"IsPrint","in":"query","schema":{"type":"boolean"}},{"name":"IsCancel","in":"query","schema":{"type":"boolean"}},{"name":"MailStatus","in":"query","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Adisyonları listeler.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BillResponsePagination"}}}},"400":{"description":"Geçersiz İstek | Gönderdiğiniz istekte geçersiz veriler bulunduğu anlamında gelmektedir | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#badrequest-400\">tıklayınız</a>"},"403":{"description":"Yetkisiz Erişim | Bu uca erişmek için gerekli yetkiye sahip olmadığınız durumda dönülür"},"404":{"description":"Parametrede belirtilen kayıt bulunamadığında dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#notfound-404\">tıklayınız</a>"}}}}}}
```

{% tabs %}
{% tab title="C#" %}

```csharp
var options = new RestClientOptions("https://apitest.nilvera.com")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/ebill/Bills", Method.Get);
request.AddHeader("Authorization", "Bearer <API KEY>");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/ebill/Bills',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endtab %}

{% tab title="NodeJs - Axios" %}

```javascript
var axios = require('axios');

var config = {
  method: 'get',
maxBodyLength: Infinity,
  url: 'https://apitest.nilvera.com/ebill/Bills',
  headers: { 
    'Authorization': 'Bearer <API KEY>'
  }
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});

```

{% endtab %}
{% endtabs %}
